%define module_name XML-Grammar-ProductsSyndication
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Class/Accessor.pm) perl(File/Spec.pm) perl(Imager.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(Test/Run/CmdLine/Iface.pm) perl(Test/XML.pm) perl(XML/LibXML.pm) perl(XML/LibXSLT.pm) perl(strict.pm) perl(warnings.pm) perl(XML/Amazon.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0405
Release: alt1
Summary: an XML Grammar for ProductsSyndication.
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use XML::Grammar::ProductsSyndication;

    my $synd =
        XML::Grammar::ProductsSyndication->new(
            {
                'source' =>
                {
                    'file' => "products.xml",
                },
            }
        );

    # A LibXML compatible XHTML DOM
    my $xhtml = $synd->transform_into_html({ 'output' => "xml" });

    # Not implemented yet!
    $synd->download_preview_images(
        {
            'dir' => "mydir/",
        }
        );


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/X*
%perl_vendor_privlib/data/modules/*
%changelog
* Wed May 30 2018 Igor Vlasenko <viy@altlinux.ru> 0.0405-alt1
- regenerated from template by package builder

* Thu Oct 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.0404-alt1
- regenerated from template by package builder

* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.0403-alt1
- initial import by package builder

